tbb::strict_ppl::internal Namespace Reference

## Classes

class | micro_queue
| A queue using simple locking. More...
class | micro_queue_pop_finalizer
class | concurrent_queue_base_v3
| base class of concurrent_queue More...
struct | concurrent_queue_rep
| representation of concurrent_queue_base More...
struct | concurrent_queue_rep_base
| parts of concurrent_queue_rep that do not have references to micro_queue More...
class | concurrent_queue_page_allocator
| Abstract class to define interface for page allocation/deallocation. More...
class | concurrent_queue_iterator_rep
class | concurrent_queue_iterator_base_v3
| Constness-independent portion of concurrent_queue_iterator. More...
class | concurrent_queue_iterator
| Meets requirements of a forward iterator for STL. More...
struct | tbb_remove_cv
| Similar to C++0x std::remove_cv. More...
struct | tbb_remove_cv< const T >
struct | tbb_remove_cv< volatile T >
struct | tbb_remove_cv< const volatile T >

## Typedefs

typedef size_t | ticket

## Functions

bool | is_valid_page (const concurrent_queue_rep_base::page *p)
template<typename C , typename T , typename U >
bool | operator== (const concurrent_queue_iterator< C, T > &i, const concurrent_queue_iterator< C, U > &j)
template<typename C , typename T , typename U >
bool | operator!= (const concurrent_queue_iterator< C, T > &i, const concurrent_queue_iterator< C, U > &j)

## Typedef Documentation

## ticket

typedef size_t tbb::strict_ppl::internal::ticket

Definition at line 56 of file _concurrent_queue_impl.h.

## Function Documentation

## is_valid_page()

bool tbb::strict_ppl::internal::is_valid_page | ( | const concurrent_queue_rep_base::page * | p | ) |

inline

Definition at line 102 of file _concurrent_queue_impl.h.

{
return uintptr_t(p)>1;
}
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

References p.

Referenced by tbb::strict_ppl::internal::micro_queue< T >::assign(), tbb::strict_ppl::internal::concurrent_queue_base_v3< T >::internal_finish_clear(), tbb::strict_ppl::internal::micro_queue< T >::invalidate_page_and_rethrow(), tbb::strict_ppl::internal::micro_queue< T >::push(), and tbb::strict_ppl::internal::micro_queue_pop_finalizer< T >::~micro_queue_pop_finalizer().

Here is the caller graph for this function:

## operator!=()

template<typename C , typename T , typename U >

bool tbb::strict_ppl::internal::operator!= | ( | const concurrent_queue_iterator< C, T > & | i,
|  | const concurrent_queue_iterator< C, U > & | j
| ) |  |

Definition at line 805 of file _concurrent_queue_impl.h.

{
return i.my_item!=j.my_item;
}
tbb::internal::concurrent_queue_iterator_base_v3::my_item
void * my_item
Pointer to current item.
Definition: _concurrent_queue_impl.h:974

## operator==()

template<typename C , typename T , typename U >

bool tbb::strict_ppl::internal::operator== | ( | const concurrent_queue_iterator< C, T > & | i,
|  | const concurrent_queue_iterator< C, U > & | j
| ) |  |

Definition at line 800 of file _concurrent_queue_impl.h.

{
return i.my_item==j.my_item;
}

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.